Promotions
List
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Query Parameters
page?integer
Default
0Format
int32size?integer
Default
20Format
int32Response Body
*/*
curl -X GET "https://api.stemp.app/api/v1/promotions"{
"content": [
{
"id": "string",
"templateId": "string",
"title": "string",
"description": "string",
"status": "DRAFT",
"validFrom": "2019-08-24T14:15:22Z",
"validUntil": "2019-08-24T14:15:22Z",
"scheduledAt": "2019-08-24T14:15:22Z",
"sentAt": "2019-08-24T14:15:22Z",
"totalPasses": 0,
"stats": {
"delivered": 0,
"failed": 0,
"skipped": 0
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"page": {
"size": 0,
"number": 0,
"totalElements": 0,
"totalPages": 0
}
}